# Interface PreprocessingTool

All Superinterfaces:
  `Tool`

@Incubating public interface PreprocessingTool extends Tool
A tool that permits configuration of the C preprocessor.

## Method Summary

Modifier and Type
Method
Description
`void`
`define(String name)`
Defines a named preprocessor macros to use when compiling this binary.
`void`
`define(String name, String definition)`
Defines a named preprocessor macro with a value, which will be used when compiling this binary.
`Map<String,String>`
`getMacros()`
The set of preprocessor macros to define when compiling this binary.

### Methods inherited from interface Tool

`args, getArgs`

## Method Details

### getMacros

Map<String,String> getMacros()
The set of preprocessor macros to define when compiling this binary.

### define

void define(String name)
Defines a named preprocessor macros to use when compiling this binary. The macro will be supplied to the compiler as '-D name'.

### define

void define(String name, String definition)
Defines a named preprocessor macro with a value, which will be used when compiling this binary. The macro will be supplied to the compiler as '-D name=definition'.